跳到主要内容

Query KYC status By EntityCustomerId

API Description

Query KYC Detail INFO Query API

HTTP Request

POST /bapi/ekyc/v2/public/ekyc/customer/query-kyc-info

Request Header

NameTypeMandatoryDescription
X-SHA2-SignatureSTRINGYESRequest Signature

Request Parameters

NameTypeMandatoryDescription
bizEntityKeySTRINGYESbusiness entity key, each access entity has its own bizEntityKey
entityCustomerIdSTRINGYEScustomer id,that is, the user id of the access entity site
kycTypeSTRINGYESkyc type,USER

Response Fields

NameTypeMandatoryDescription
codeSTRINGYESerror code,000000000 is success
dataKycInfoVoNO

KycInfoVo

NameTypeDescription
statusInfoKycVerifyStatusInfoVo
basicInfoKycBasicInfoVo
identityInfoKycIdentityInfoVo
riskScoreUserRiskScoreVo
levelInfoKycLevelInfoVoref to check-kyc-status
wckInfoKycWckInfoVo
questionInfoList<QuestionInfo>Questionnaire answer records for KZ Entity broker users. Empty if no questionnaire has been submitted
tncInfoTncInfoT&C sign info for KZ Entity broker users. null if no TNC record exists

KycVerifyStatusInfoVo

NameTypeDescription
failReasonSTRINGfail reason
basicStatusSTRINGINITIAL,PROCESS,REVIEW,PASS,REJECT
identityStatusSTRINGINITIAL,PROCESS,REVIEW,PASS,REJECT
faceStatusSTRINGINITIAL,PROCESS,REVIEW,PASS,REJECT,SKIP
wckStatusSTRINGINITIAL,PROCESS,REVIEW,PASS,REJECT
kycUserIdSTRINGkyc user id in SAAS

KycBasicInfoVo

NameTypeDescription
firstNameSTRINGFirst name
middleNameSTRINGMiddle name
lastNameSTRINGLast Name
dobSTRINGBirthday, yyyy-MM-dd
residentialCountrySTRINGCountry of residence
countrySTRINGnationality

KycIdentityInfoVo

NameTypeDescription
bizNoSTRINGBiz no
firstNameSTRINGFirst name
middleNameSTRINGMiddle name
lastNameSTRINGLast name
dobSTRINGbirthday yyyy-MM-dd
idCountrySTRINGDocument issuing country 2-alpha code
nationalityCountrySTRINGNationality country 2-alpha code
idTypeSTRINGIdentityDocumentType. for example: ID_CARD, PASSPORT, DRIVING_LICENSE,RESIDENCE_PERMIT
idSubTypeSTRINGid doc sub type
idNumberSTRINGid Number
idExpirySTRINGyyyy-MM-dd
personalNumberSTRING
genderSTRING
issuingAuthoritySTRING
issuingDateSTRINGyyyy-MM-dd
issuingPlaceSTRING
registrationNumberSTRING
citySTRING
stateCodeSTRING
postalCodeSTRING
addressSTRING
frontFileUrlSTRINGid front image download url
backFileUrlSTRINGid back image download url
faceFileUrlSTRINGface image download url
faceDetectFileUrlSTRING
vendorsCodeSTRINGChannel code: SUMSUB_SDK,ONFIDO_SDK

UserRiskScoreVo

NameTypeDescription
riskScoreINTRisk score
riskLevelSTRINGRisk level: LOWER,LOW,MEDIUM,HIGH,HIGHER,EXTREME
dobSTRINGbirthday yyyy-MM-dd
pepINTIs pep
sanctionHitINTIs sanction hit
nationalitySTRING
residenceCountrySTRING

KycLevelInfoVo

NameTypeDescription
currentLevelKycLevelItemVoCurrent level status
passedLevelKycLevelItemVoCurrent passing KYC status level info
kycPassBooleanIf the current user pass the kyc

KycWckInfoVo

NameTypeDescription
bizNoSTRINGBiz no
statusSTRINGStatus: PENDING,AUDIT_FIRST,AUTO_REJECT,AUTO_PASS,AUDIT_REJECT,AUDIT_PASS
typeSTRINGType: INDIVIDUAL
nameSTRINGCheck name
birthDateSTRINGyyyy-MM-dd
residenceCountrySTRING
rejectReasonSTRING
completeTimeDATE

QuestionInfo

Each element in the questionInfo list represents a single questionnaire answer record submitted by the KZ Entity broker for this user. Populated after a successful share-kyc-data call with questionnaireInfo.

NameTypeDescription
flowTypeSTRINGQuestionnaire group / version identifier (e.g. "KZ_V6")
questionTitleSTRINGQuestion title key. Must match one of the configured question titles for the given questionnaire version
questionSubTitleSTRINGQuestion sub-title (if any)
questionIdLONGQuestion record ID
questionTypeSTRINGQuestion risk type
answersList<STRING>List of selected option keys for this question
sourceTypeSTRINGSource type of the answer record (e.g. IMPORT)
dbCreateTimeDATERecord creation time
dbModifyTimeDATERecord last modification time

TncInfo

Returned inside KycInfoVo.tncInfo when the user has submitted T&C acceptance data.

NameTypeDescription
tncVersionSTRINGVersion of the T&C document the user consented to (format: a.b, e.g. "1.0")
consentBOOLEANWhether the user explicitly consented to the Terms & Conditions
signTimeDATETimestamp of the user's TNC consent action
userSubmitIpSTRINGIP address of the user at the time of TNC submission
sourceTypeSTRINGSource type of the TNC record (e.g. IMPORT)
dbCreateTimeDATERecord creation time

Request Body Example

{
"bizEntityKey": "BROKERKEY",
"entityCustomerId": "45712345678999212345",
"kycType": "USER"
}

Response Example

{
"code": "000000",
"message": null,
"messageDetail": null,
"data": {
"statusInfo": {
"bizEntityKey": "BROKERKEY",
"entityCustomerId": "45712345678999212345",
"kycUserId": "4575836000526931200",
"userType": "USER",
"kycType": "USER",
"businessType": null,
"status": null,
"expectTime": null,
"expectTimeText": null,
"kycStatus": "REJECT",
"failReason": "This ID number has been used. Log in to your original account to complete the transaction.",
"basicStatus": "PASS",
"basicExpectTime": null,
"basicExpectTimeText": null,
"basicFailReason": "",
"basicSubStatus": null,
"documentStatus": null,
"documentExpectTime": null,
"documentExpectTimeText": null,
"documentFailReason": null,
"identityStatus": "REJECT",
"identityExpectTime": null,
"identityExpectTimeText": null,
"identityFailReason": "This ID number has been used. Log in to your original account to complete the transaction.",
"identityFailCode": null,
"faceStatus": "REJECT",
"faceExpectTime": null,
"faceExpectTimeText": null,
"faceFailReason": "This ID number has been used. Log in to your original account to complete the transaction.",
"faceEmailStatus": null,
"faceEmailMask": null,
"wckStatus": "INITIAL",
"wckExpectTime": null,
"wckExpectTimeText": null,
"wckFailReason": null,
"firstName": null,
"middleName": null,
"lastName": null,
"poaStatus": null,
"poaExpectTime": null,
"poaExpectTimeText": null,
"poaFailReason": null,
"eddStatus": null,
"eddExpectTime": null,
"eddExpectTimeText": null,
"eddFailReason": null,
"dbCreateTime": 1750699479373,
"dbModifyTime": 1750699512711,
"questionStatus": null,
"questionFailReason": null,
"completeTime": null,
"basicCompleteTime": null,
"documentCompleteTime": null,
"identityCompleteTime": 1750699512647,
"faceCompleteTime": 1750699512651,
"wckCompleteTime": null,
"poaCompleteTime": null,
"eddCompleteTime": null,
"questionCompleteTime": null,
"kycSubType": null,
"kycSubStatus": null,
"credentialStatus": null,
"credentialFailReason": null,
"fiatPtStatus": null,
"fiatPtFailReason": null,
"memberStatus": null,
"remediationStatus": null,
"remediationExpectTime": null,
"riskRateLevel": "MEDIUM",
"riskRateScore": 31.00
},
"basicInfo": {
"id": 4575836001114133760,
"bizEntityKey": "BROKERKEY",
"bizKey": "BROKERKEY",
"kycUserId": "4575836000526931200",
"basicType": "USER",
"basicStatus": "PASS",
"basicFailReason": null,
"auditor": null,
"auditorTime": null,
"firstName": "BO",
"middleName": "testMiddleName",
"lastName": "LI",
"residentialCountry": "AE",
"dob": "1986-08-14",
"postalCode": "123456",
"city": "bbb",
"address": "aaa",
"emailAddress": null,
"authFileKey": null,
"authFilePath": null,
"companyName": null,
"companyRegistrationNumber": null,
"companyIncorporationDate": null,
"contactMobileCode": null,
"contactMobile": null,
"corporateEmail": null,
"companyRegisteredCountry": null,
"companyRegisteredPostalCode": null,
"companyRegisteredCity": null,
"companyRegisteredAddress": null,
"companyOperatingCountry": null,
"companyOperatingPostalCode": null,
"companyOperatingCity": null,
"companyOperatingAddress": null,
"sourceOfFunds": null,
"sourceOfWealth": null,
"submitIp": "192.168.1.1",
"submitClient": null,
"submitSource": null,
"submitDevice": null,
"dbCreateTime": 1750699479396,
"dbModifyTime": 1750699479396,
"gender": null,
"country": "AE",
"idType": null,
"idCardNumber": null,
"regionState": null,
"tin": null,
"suburb": null,
"issuer": null,
"countryOfIssue": null,
"npwp": null,
"phoneNumber": null,
"placeOfBirth": null,
"panId": null,
"requestTime": 1750699479396,
"requestIp": "192.168.1.1",
"website": null,
"applyReason": null,
"memberType": null,
"ext": null,
"entityUserId": null
},
"identityInfo": {
"bizEntityKey": "BROKERKEY",
"bizKey": "BROKERKEY",
"kycUserId": "4575836000526931200",
"bizNo": "88ed88b9ec854503abfe905548211b56",
"vendorsCode": "",
"documentType": "ID_CARD",
"selectCountry": "SG",
"frontFileKey": "ae6dd72112ec41d9b74be3d965d499d8",
"frontFilePath": "/SAAS/BROKERKEY/USER_UPLOAD/20250623/4575836000526931200_identity_front_172439955986.jpg",
"frontFileUrl": "https://www.somepage.com",
"backFileKey": "a0090a3067fc4dffaebed9d0fbecb341",
"backFilePath": "/SAAS/BROKERKEY/USER_UPLOAD/20250623/4575836000526931200_identity_back_172439508427.jpeg",
"backFileUrl": "https://www.somepage.com",
"faceFileKey": "8c05214b836946e89fc8a10443d522d1",
"faceFilePath": "/SAAS/BROKERKEY/USER_UPLOAD/20250623/4575836000526931200_identity_face_172439508685.jpeg",
"faceFileUrl": "https://www.somepage.com",
"faceDetectFileKey": null,
"faceDetectFilePath": null,
"faceDetectFileUrl": null,
"applyStatus": "REJECT",
"failReason": "This ID number has been used. Log in to your original account to complete the transaction.",
"vendorsStatus": null,
"vendorsReason": null,
"auditor": null,
"auditorTime": null,
"completeTime": null,
"submitIp": "192.168.1.1",
"submitClient": null,
"submitSource": null,
"submitDevice": null,
"firstName": "testFirstName",
"middleName": "testMiddleNameboli",
"lastName": "testLastNameLItest01",
"dob": "1986-08-14",
"idType": "ID_CARD",
"idSubType": "INTERNATIONAL_PASSPORT",
"idCountry": "AE",
"nationalityCountry": "AE",
"idNumber": "testSaasBrokers0144288491",
"idExpiry": "2030-08-15",
"idUsState": "testIdUsState",
"personalNumber": "personalNumber6462313972",
"gender": "M",
"nationality": null,
"issuingAuthority": "firstName",
"issuingDate": "2000-08-16",
"issuingPlace": "AE",
"registrationNumber": "registrationNumber4039460415",
"city": "testCity",
"stateCode": "QWER",
"postalCode": "123456",
"address": "testAddressData",
"remarks": "IMPORT",
"language": null,
"solarisReportPath": null,
"solarisReportUrl": null,
"idExpirySubStatus": null,
"idGracePeriodRedoSubStatus": null,
"sourceType": "IMPORT",
"identityApplyExtraInfo": null,
"ocrDocumentType": null
},
"poaInfo": null,
"eddInfo": null,
"eddInfos": null,
"eddTriggersAndInfos": null,
"questionInfo": [],
"riskScore": {
"id": 4575836012002463489,
"bizEntityKey": "BROKERKEY",
"bizKey": "BROKERKEY",
"kycUserId": "4575836000526931200",
"riskScore": 31,
"riskLevel": "MEDIUM",
"dob": "1986-08-14",
"pep": null,
"sanctionHit": null,
"documentHit": null,
"nationality": "AE",
"residenceCountry": "AE",
"kycLevelName": "INTERMEDIATE",
"operator": null,
"remark": null,
"fiatCurrency": null,
"depositFiatDailyLimit": null,
"depositFiatMonthlyLimit": null,
"depositFiatYearlyLimit": null,
"depositFiatLifeTimeLimit": null,
"withdrawFiatDailyLimit": null,
"withdrawFiatMonthlyLimit": null,
"withdrawFiatYearlyLimit": null,
"withdrawFiatLifeTimeLimit": null,
"riskTemplate": "DEFAULT",
"dbCreateTime": 1750699480048,
"dbModifyTime": 1750699480048,
"riskScoreDetail": null,
"adminVo": null,
"sourceType": "NORMAL",
"sanctionHitEternal": null,
"adverseMediaEternal": null,
"dryRun": false
},
"levelInfo": {
"currentLevel": {
"levelName": "INTERMEDIATE",
"levelDesc": "INTERMEDIATE",
"kycStatus": "REFUSED",
"kycLevelSubStatus": null,
"limit": {
"fiatCurrency": "USD",
"depositFiatDailyLimit": null,
"withdrawFiatDailyLimit": 20000,
"totalFiatDailyLimit": null,
"depositFiatMonthlyLimit": null,
"withdrawFiatMonthlyLimit": null,
"totalFiatMonthlyLimit": null,
"depositFiatYearlyLimit": null,
"withdrawFiatYearlyLimit": null,
"totalFiatYearlyLimit": null,
"depositFiatLifeTimeLimit": null,
"withdrawFiatLifeTimeLimit": null,
"totalFiatLifeTimeLimit": null,
"cryptoCurrency": "BTC",
"depositCryptoDailyLimit": -1,
"withdrawCryptoDailyLimit": 100,
"totalCryptoDailyLimit": null
}
},
"completedLevel": null,
"passedLevel": null,
"definedKycPassLevel": {
"levelName": "INTERMEDIATE",
"levelDesc": "INTERMEDIATE",
"kycStatus": "REFUSED",
"kycLevelSubStatus": null,
"limit": {
"fiatCurrency": "USD",
"depositFiatDailyLimit": null,
"withdrawFiatDailyLimit": 20000,
"totalFiatDailyLimit": null,
"depositFiatMonthlyLimit": null,
"withdrawFiatMonthlyLimit": null,
"totalFiatMonthlyLimit": null,
"depositFiatYearlyLimit": null,
"withdrawFiatYearlyLimit": null,
"totalFiatYearlyLimit": null,
"depositFiatLifeTimeLimit": null,
"withdrawFiatLifeTimeLimit": null,
"totalFiatLifeTimeLimit": null,
"cryptoCurrency": "BTC",
"depositCryptoDailyLimit": -1,
"withdrawCryptoDailyLimit": 100,
"totalCryptoDailyLimit": null
}
},
"kycPass": false,
"hasMultipleLevels": false,
"passedLevels": []
},
"nonExisted": null,
"wckInfo": null
},
"success": true
}